petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSortedRemoveDupsInt

Removes all duplicate entries of a sorted input array

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortedRemoveDupsInt(PetscInt *n,PetscInt ii[])

Not Collective

### Input Parameters

| n | - number of values
| ii | - sorted array of integers

### Output Parameter

n -number of non-redundant values

### See Also

PetscSortInt()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages